Subject: Offline Message from رغد: Hi I need to know where is the rest of my shipment?
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 07:40:04 -0000

From: رغد <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us/
Department: 

Hi I need to know where is the rest of my shipment?? For order number:#200290805

It’s been a month and haven’t get it yet !! I paid more than enough money for fast and reliable delivery but I’m so disappointed for your arrangements!
Tam2go give me invalid number message when I try to track the shipment..
No matter I try to contact you I never get a  response !!
Waiting to hear back from you soon !! Hope to..

----
Zopim
https://www.zopim.com